# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rspec/flaky/test/version'

Gem::Specification.new do |spec|
  spec.name          = "rspec-flaky-test"
  spec.version       = Rspec::Flaky::Test::VERSION
  spec.authors       = ["Andre Medeiros"]
  spec.email         = ["opensource@publitas.com"]

  spec.summary       = %q{RSpec plugin that retries your flaky tests}
  spec.description   = <<-STR.chomp
RSpec plugin that retries your flaky tests.

This plugin works by retrying failing examples that are marked with `flaky`.
  STR
  spec.homepage      = "https://github.com/publitas/rspec-flaky-test"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "rspec", "~> 3.0"

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
end
